package database

@Suppress("unused")
data class ScheduleBank(
    var index: UInt,
    var Description: String,
    var Day: String,
    var Time: String,
    var Soundpath: String,
    var Repeat: UByte,
    var Enable: Boolean,
    var BroadcastZones: String,
    var Language: String) {

    override fun toString(): String {
        return "ScheduleBank(index=$index, Description='$Description', Day='$Day', Time='$Time', Soundpath='$Soundpath', Repeat=$Repeat, Enable=$Enable, BroadcastZones='$BroadcastZones', Language='$Language')"
    }

    fun isNotEmpty() : Boolean{
        return Description.isNotEmpty() && Day.isNotEmpty() && Time.isNotEmpty() && Soundpath.isNotEmpty() && BroadcastZones.isNotEmpty() && Language.isNotEmpty()
    }
}
